<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb        = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin      = $_SESSION["admin_" . $dbname];
$fseries = $_SESSION["series"];
$keycond = "";
$success    = false;

$file       = "payin.php";

$keyfld     = "vouchno";
$rangeFrom  = $_REQUEST["rangeFrom"];
$rangeTo    = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
//$searchTerm = $_REQUEST["ssearch"];
$operator   = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND m.`vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND b.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND c.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND m.`amount` = '$searchTerm'";
    } 
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND m.`vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND c.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND m.`amount` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY m.`vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY m.`vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY c.`name`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY b.`amount`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
}else{
    $ordcond = " ASC";
}

$query = "SELECT m.*,b.accode, b.name AS cashname, c.accode, c.name AS acname FROM `cashrecp` m
          LEFT JOIN accmast b ON b.accode=m.bankname  
          LEFT JOIN accmast c ON c.accode=m.party  
 WHERE m.`vouchno` != '' $keycond  $cond $sortcond $ordcond   LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    
    $rows[] = [ 'success'   => true,
                'value'     => $ctr,
                'keyfld'    => $keyfld,
                'vouchno'   => $r['vouchno'],
                'bname'     => $r['cashname'],
                'party'     => $r['acname'],
                'amount'    => $r['amount'],
                'action'    => "$file?mode=edit&vouchno=$r[vouchno]",
        ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
